Summary:	ODBC driver for MySQL
Name:		mysql-connector-odbc
Version:	5.1.6
Release:	%mkrel 1
# exceptions allow library to be linked with most open source SW,
# not only GPL code.
License: GPLv2 with exceptions
Group:		System/Libraries
URL:		http://www.mysql.com/products/connector/
Source0:	http://mir2.ovh.net/ftp.mysql.com/Downloads/Connector-ODBC/5.1/mysql-connector-odbc-%{version}.tar.gz
Source1:	dsn-editor.pro
Patch1:		myodbc-shutdown.patch
Patch3:		mysql-connector-odbc-no_windoze.diff
Patch5:		mysql-connector-odbc-5.1.5-fix-str-fmt.patch
Requires:	unixODBC
BuildRequires:	mysql-devel
BuildRequires:	unixODBC-devel
BuildRequires:	openssl-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	qt3-devel
Obsoletes:	MyODBC < %version-%release
Provides:	MyODBC = %version-%release
Obsoletes:	%{mklibname myodbc 1} < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The MySQL Connector/ODBC is the name for the family of MySQL ODBC drivers
(previously called MyODBC drivers) that provide access to a MySQL database
using the industry standard Open Database Connectivity (ODBC) API.

MySQL Connector/ODBC provides both driver-manager based and native
interfaces to the MySQL database, which full support for MySQL functionality,
including stored procedures, transactions and, with Connector/ODBC 5.1,
full Unicode compliance.

%package 	devel
Summary:	Development library for ODBC driver for MySQL
Group:		Development/C
Provides:	lib%{name}-devel %{name}-devel libmyodbc-devel
Obsoletes:	lib%{name}-devel %{name}-devel libmyodbc-devel
Requires:	%{name} = %{version}
Obsoletes:	%{mklibname -d myodbc 1} < %version
Obsoletes:	%{mklibname -d mydobc} < %version

%description devel
The MySQL Connector/ODBC is the name for the family of MySQL ODBC drivers
(previously called MyODBC drivers) that provide access to a MySQL database
using the industry standard Open Database Connectivity (ODBC) API.

MySQL Connector/ODBC provides both driver-manager based and native
interfaces to the MySQL database, which full support for MySQL functionality,
including stored procedures, transactions and, with Connector/ODBC 5.1,
full Unicode compliance.

%prep
%setup -q -n mysql-connector-odbc-%{version}
%patch1 -p1
%patch3 -p0
%patch5 -p0

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"

%configure2_5x \
    --enable-shared \
    --enable-static \
    --enable-gui \
    --with-qt-dir=%{qt3dir} \
    --with-qt-includes=%{qt3include} \
    --with-qt-libraries=%{qt3lib} \
    --enable-dmlink \
    --enable-myodbc-installer \
    --enable-odbcinstlink \
    --with-odbc-ini=%{_sysconfdir}/odbc.ini
%make

%install
rm -rf %{buildroot}

%makeinstall_std 

%if 0
# setup links for consolehelpper support to allow root System DSN config
install -d %{buildroot}%{_sbindir}
pushd %{buildroot}%{_bindir}
ln -sf myodbc-installer MyODBC
ln -sf consolehelper MyODBC-root
cd %{buildroot}%{_sbindir}
ln -s ../bin/MyODBC MyODBC-root
popd

# MYODBCConfig
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/MyODBC.desktop << EOF
[Desktop Entry]
Name=MyODBC
Comment=MyODBC Configuration
Exec=MyODBC
Terminal=false
Type=Application
Icon=databases_section
Categories=X-MandrivaLinux-MoreApplications-Databases;GTK;Database;Development;Application;
EOF

cat > %{buildroot}%{_datadir}/applications/MyODBC-root.desktop << EOF
[Desktop Entry]
Name=MyODBC-root
Comment=MyODBC Configuration (root user)
Exec=MyODBC-root
Terminal=false
Type=Application
Icon=databases_section
Categories=X-MandrivaLinux-MoreApplications-Databases;GTK;Database;Development;Application;
EOF

%endif
# cleanup
rm -rf %{buildroot}%{_datadir}/mysql-connector-odbc

cat > README.Mandriva << EOF

Please run this command when register:
%{_bindir}/myodbc-installer -d -a -n "MySQL ODBC 5.1 Driver" -t "DRIVER=%_libdir/libmyodbc5-%version.so;SETUP=%_libdir/libmyodbc3S-%version.so"

Please run this command when unregister:

%{_bindir}/myodbc-installer -d -r -n "MySQL ODBC 5.1 Driver"
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE.exceptions LICENSE.gpl README README.debug README.Mandriva
%{_bindir}/*
%{_libdir}/libmyodbc3S-%version.so
%{_libdir}/libmyodbc5-%version.so

%files devel
%defattr(-,root,root)
%{_libdir}/libmyodbc3S.so
%{_libdir}/libmyodbc5.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Thu Nov 26 2009 Funda Wang <fwang@mandriva.org> 5.1.6-1mdv2010.0
+ Revision: 470351
- New version 5.1.6

* Sat Jul 19 2008 Oden Eriksson <oeriksson@mandriva.com> 3.51.26-0.r1127.1mdv2009.0
+ Revision: 238811
- 3.51.26r1127
- added the dsn-editor.pro from 3.51.16r494 to fix build
- fix linkage (P2)
- sync with fedora (P1)
- fix deps

  + Funda Wang <fwang@mandriva.org>
    - use qt3 macros
    - new devel package name policy
    - Rename to mysql-connector-odbc
    - New version 3.51.22

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill explicit icon extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.51.16-0.r494.2mdv2008.0
+ Revision: 89560
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character

* Sat Jun 16 2007 Oden Eriksson <oeriksson@mandriva.com> 3.51.16-0.r494.1mdv2008.0
+ Revision: 40359
- 3.51.16r494
- rediffed P0

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 3.51.14-0.r248.3mdv2008.0
+ Revision: 14798
- remove the faulty desktop-file-utils deps


* Tue Mar 13 2007 Oden Eriksson <oeriksson@mandriva.com> 3.51.14-0.r248.2mdv2007.1
+ Revision: 143067
- 3.51.14r248
- fix xdg menu
- rediffed one patch
- Import MyODBC

* Mon Jan 02 2006 Warly <warly@mandriva.com> 3.51.12-4mdv2007.1- new version
* Wed Nov 16 2005 Oden Eriksson <oeriksson@mandriva.com> 3.51.11-4mdk
- rebuilt against openssl-0.9.8a

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.51.11-3mdk
- rebuilt against MySQL-5.0.15

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.51.11-2mdk
- Fix BuildRequires

* Sun Jun 19 2005 Oden Eriksson <oeriksson@mandriva.com> 3.51.11-1mdk
- 3.51.11
- rebuilt against new librpm
- drop one redundant patch
- rediffed P0, and also fix sonames

* Mon Mar 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.51.10-1mdk
- 3.51.10
- added P0,P1
- added P2 (fedora)
- lib64 fixes
- built all the binaries too, even the QT ones...
- ripped the menu magic from the unixODBC package
- misc spec file fixes

* Thu Apr 15 2004 Michael Scherer <misc@mandrake.org> 2.50.39-2mdk 
- rebuild

